## fragments 3.0.1

=== meson_options.txt ===
option (
  'profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default'
)

=== debian/changelog ===
fragments (3.0.1-8) unstable; urgency=high

  * Salsa CI: Ignore reprotest failure
  * Use upstream versions of gtk patches & cherrypick some more
  * Split the ashpd patch to a separate patch and update it (Closes: #1099451)
  * Update Build-Depends

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 01 Apr 2025 08:07:19 -0400

fragments (3.0.1-7) unstable; urgency=medium

  * d/patches, d/control: Build with asphd 0.11
  * Bump S-V to 4.7.2; no changes needed

 -- Matthias Geiger <werdahias@debian.org>  Mon, 03 Mar 2025 22:06:49 +0100

fragments (3.0.1-6) unstable; urgency=medium

  * d/p/gtkrs-0.9: Build with ashpd 0.10
  * d/control: Update build-dependencies with debcargo

 -- Matthias Geiger <werdahias@debian.org>  Mon, 17 Feb 2025 12:45:36 +0100

fragments (3.0.1-5) unstable; urgency=medium

  * Stop vendoring isahc and transmission-gobject now
    that they are the archive

 -- Matthias Geiger <werdahias@debian.org>  Wed, 08 Jan 2025 20:59:51 +0100

fragments (3.0.1-4) unstable; urgency=medium

  [ Peter Michael Green ]
  * Fix rust-regex Build-Depends (Closes: #1089749)

  [ Jeremy Bícha ]
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 13 Dec 2024 17:20:44 -0500

fragments (3.0.1-3) unstable; urgency=medium

  * Update d/control and d/p/relax-deps for nix 0.29 (Closes: #1085436)
    (thanks to plugwash)

 -- Matthias Geiger <werdahias@debian.org>  Fri, 08 Nov 2024 11:23:09 +0100

fragments (3.0.1-2) unstable; urgency=medium

  * Cherry-pick upstream patch for gtk-rs 0.9
  * d/control: Update dependencies to match versions required
  * d/patches/relax-deps.diff: Stop patching base64
  * Drop d/p/fix-build.diff; obsoleted
  * Updated vendored transmission-gobject to 0.1.6
  * d/missing-sources/transmission-client: update base64 to 0.22
  * d/missing-sources/isahc: update futures-lite to 2.3
  * d/control: Depend on additional packages for vendored isahc

 -- Matthias Geiger <werdahias@debian.org>  Tue, 15 Oct 2024 20:57:16 +0200

fragments (3.0.1-1) experimental; urgency=medium

  * Initial release. (Closes: #1059727)

 -- Matthias Geiger <werdahias@debian.org>  Thu, 08 Aug 2024 19:15:04 +0200

=== debian/control ===
Source: fragments
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Geiger <werdahias@debian.org>, Jeremy Bícha <jbicha@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 meson (>= 0.59),
 desktop-file-utils,
 libglib2.0-dev (>= 2.76),
 libgtk-4-dev (>= 4.15.3),
 libadwaita-1-dev (>= 1.7),
 libssl-dev (>= 1.0),
 libdbus-1-dev,
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-anyhow-1+default-dev,
 librust-ashpd-0.11+async-std-dev,
 librust-ashpd-0.11+gtk4-dev,
 librust-async-process-2+default-dev (>= 2.2-~~),
 librust-async-recursion-1+default-dev (>= 1.1-~~),
 librust-base64-0.22+default-dev,
 librust-futures-util-0.3+default-dev,
 librust-gettext-rs-0.7+default-dev,
 librust-gettext-rs-0.7+gettext-system-dev,
 librust-gtk4-0.9+default-dev,
 librust-gtk4-0.9+gnome-47-dev,
 librust-human-sort-0.2+default-dev,
 librust-libadwaita-0.7+default-dev,
 librust-libadwaita-0.7+v1-7-dev,
 librust-log-0.4+default-dev,
 librust-magnet-uri-0.2+default-dev,
 librust-nix-0.29+default-dev,
 librust-nix-0.29+signal-dev,
 librust-oo7-0.3+default-dev,
 librust-pretty-env-logger-0.5+default-dev,
 librust-regex-1+default-dev (>= 1.10-~~),
 librust-serde-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-smol-2+default-dev,
 librust-strum-0.26+default-dev,
 librust-strum-macros-0.26+default-dev,
 librust-transmission-gobject-0.1+default-dev (>= 0.1.6-~~),
 librust-url-2+default-dev (>= 2.5-~~),
 librust-uuid-1+default-dev (>= 1.10-~~),
 librust-uuid-1+v4-dev (>= 1.10-~~)
Standards-Version: 4.7.2
Homepage: https://apps.gnome.org/Fragments/
Vcs-Browser: https://salsa.debian.org/gnome-team/fragments
Vcs-Git: https://salsa.debian.org/gnome-team/fragments.git

Package: fragments
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 transmission-daemon
Description: modern BitTorrent client for GNOME
 An easy to use BitTorrent client which can be used to transfer files via
 the BitTorrent peer-to-peer file-sharing protocol, such as videos, music
 or installation images for Linux distributions.
 .
 Fragments is a GNOME Circle app.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/rustc/architecture.mk
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export PATH := /usr/share/cargo/bin:$(PATH)
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/cargo_registry


# Pass DEB_HOST_RUST type to meson to build
override_dh_auto_configure:
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	rm -f Cargo.lock
	dh_auto_configure -- \
	-Dhost_arch="$(DEB_HOST_RUST_TYPE)" \
	-Dprofile="default"

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://gitlab.gnome.org/World/Fragments/tags?sort=updated_desc \
    -/archive/[\d.]+/Fragments-([\d.]+)@ARCHIVE_EXT@
